<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">
    <property name="now" value="current_timestamp" dbms="postgresql"/>
    <property name="floatType" value="float4" dbms="postgresql"/>
    <property name="clobType" value="longvarchar" dbms="postgresql"/>
    <property name="blobType" value="bytea" dbms="postgresql"/>
    <property name="uuidType" value="uuid" dbms="postgresql"/>
    <property name="datetimeType" value="datetime" dbms="postgresql"/>

    <include file="config/liquibase/changelog/00000000000000_initial_schema.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907120959_added_entity_Employe.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121000_added_entity_Structure.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121001_added_entity_Decoration.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121002_added_entity_TypeDecoration.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121003_added_entity_Emploi.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121004_added_entity_Fonction.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121005_added_entity_Categorie.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121006_added_entity_Classe.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121007_added_entity_Echelon.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121008_added_entity_ChangementEmploi.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121009_added_entity_Affectation.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121010_added_entity_AvancementCategorie.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121011_added_entity_AvancementClasse.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121012_added_entity_AvancementEchelon.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121013_added_entity_Indemnite.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121014_added_entity_Entree.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121015_added_entity_NatureEntree.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121016_added_entity_NatureRecrutement.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121017_added_entity_Statut.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121018_added_entity_Sortie.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121019_added_entity_NatureSortie.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121020_added_entity_Stage.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121021_added_entity_NatureStage.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121022_added_entity_NaturePositionIrreguliere.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121023_added_entity_PositionIrreguliere.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121024_added_entity_Region.xml" relativeToChangelogFile="false"/>
    <!-- jhipster-needle-liquibase-add-changelog - JHipster will add liquibase changelogs here -->
    <include file="config/liquibase/changelog/20220907120959_added_entity_constraints_Employe.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121000_added_entity_constraints_Structure.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121001_added_entity_constraints_Decoration.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121008_added_entity_constraints_ChangementEmploi.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121009_added_entity_constraints_Affectation.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121010_added_entity_constraints_AvancementCategorie.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121011_added_entity_constraints_AvancementClasse.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121012_added_entity_constraints_AvancementEchelon.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121013_added_entity_constraints_Indemnite.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121014_added_entity_constraints_Entree.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121018_added_entity_constraints_Sortie.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121020_added_entity_constraints_Stage.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20220907121023_added_entity_constraints_PositionIrreguliere.xml" relativeToChangelogFile="false"/>
    <!-- jhipster-needle-liquibase-add-constraints-changelog - JHipster will add liquibase constraints changelogs here -->
    <!-- jhipster-needle-liquibase-add-incremental-changelog - JHipster will add incremental liquibase changelogs here -->
</databaseChangeLog>
